Subject: Re: bug#9745: 23.3; vc-register does not prompt for initial comment

From: Dan Nicolaescu <[email-masked]>
Date: Thu, 13 Oct 2011 17:15:32 -0400

Chris Carlson <[email-masked]> writes:

> This bug report will be sent to the Free Software Foundation,
> not to your local site managers!
> Please write in English if possible, because the Emacs maintainers
> usually do not have translators to read other languages for them.
>
> Your report will be posted to the [email-masked] mailing list
> and the gnu.emacs.bug news group, and at http://debbugs.gnu.org.
>
> Please describe exactly what actions triggered the bug
> and the precise symptoms of the bug.  If you can, give
> a recipe starting from `emacs -Q':
>
> Performing a vc-register never prompts for an initial comment.  The
> variable vc-initial-comment is defined in vc.el, but it is never
> referenced or used.
>
> Previous versions of Emacs prompted for an initial comment by default,
> but that feature seems to have gotten lost.

Modern VCS do not have an initial message when adding a file (just RCS
did that -- maybe SCCS too), so that feature has been removed.